Package org.silverpeas.components.mydb.web

# Class TableView

java.lang.Object
org.silverpeas.components.mydb.web.TableView

public class TableView extends Object
A view on one given database table loaded from a data source. The view wraps the table, and it provides filtering operations on its content. It is a container on zero or one table and hence its single item can be changed.

Author:
  mmoquillon

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<DbColumn>`
  `getColumns()`
  Gets field names extracted from last query result set.
  `org.silverpeas.core.util.SilverpeasList<TableRowUIEntity>`
  `getLastRows()`
  Gets the last rows loaded by `getRows()`.
  `String`
  `getName()`
  Gets the name of the table.
  `org.silverpeas.core.admin.PaginationPage`
  `getPagination()`
  `org.silverpeas.core.util.SilverpeasList<TableRowUIEntity>`
  `getRows()`
  Gets the rows without applying any filter.
  `boolean`
  `isDefined()`
  Is this view is on an existing database table or the view is empty.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### getPagination

    public org.silverpeas.core.admin.PaginationPage getPagination()

  - ### getName

    public String getName()
    Gets the name of the table.
    Returns:
      the name of the table.

  - ### getColumns

    public List<DbColumn> getColumns()
    Gets field names extracted from last query result set.
    Returns:
      the field names.

  - ### getRows

    public org.silverpeas.core.util.SilverpeasList<TableRowUIEntity> getRows()
    Gets the rows without applying any filter.
    Returns:
      the rows.

  - ### getLastRows

    public org.silverpeas.core.util.SilverpeasList<TableRowUIEntity> getLastRows()
    Gets the last rows loaded by `getRows()`.
    Returns:
      the last loaded rows.

  - ### isDefined

    public boolean isDefined()
    Is this view is on an existing database table or the view is empty.
    Returns:
      true if the database table wrapped by this view is defined. False otherwise.